Subject: LIST (ls) problem

From: Chili <[email-masked]>
Date: Mon, 21 Jul 1997 05:04:32 -0500

Hello,

I have a machine that was just completely rebuilt and has a -fresh install- of solaris 2.5.1 on it.

I attempted to setup an anon ftp server on it using its standard ftp daemon, to no avail.

When an anonymous user logged in and tried to get a directory listing, the server would just send back the error:
"425 Can't create data socket (0.0.0.0,20): Bad file number."

I then read the man file on it cover to cover and set the anon ftp directory up as suggested...copying libs...changing permissions, etc.

STILL get the same error.

Then i go and get the best ftp daemon I know of...wu-ftp (2.4) and install it.

I get the same error.

So I read the INSTALL file's section on anonymous ftp. I set it up as told, same error.

I even spend an hour compiling a static version of 'ls' to put in ~/ftp/bin

no dice...

suggestions?

one note to make...i previously had the anon ftp server running on a sun 4.1.3 machine, never had a single problem with it.

and 'regular' ftp does work on the solaris 2.5.1 box, just not anonymous. (the ip of it is 206.165.79.2)

Chili
Innovative Access, Inc. Technical Administrator
http://www.iainc.net